Tray

Products

GET
/v1/tray/products

Retrieve products sold in Tray orders with SKU, commission, and category information

Authorization

ClientIdAuthClientSecretAuth
headerx-client-id<token>

Client ID

headerx-client-secret<token>

Client secret

Query Parameters

organizationId*string

Organization identifier (required)

integrationId?string

Tray integration identifier

integrationName?string

Tray integration name

orderId?string

Filter by order ID

productId?string

Filter by product ID

name?string

Filter by product name

category?string

Filter by category

page?integer

Page number (default 1)

Default1
limit?integer

Items per page (default 500, max 5000)

Rangevalue <= 5000
Default500

Response Body

Tray products response

application/json
  1. response
data?array<>
meta?
curl -X GET "https://example.com/v1/tray/products?organizationId=org_123"
{  "data": [    {      "quantity": 0.1,      "product_id": "string",      "sold_product_id": "string",      "order_id": "string",      "name": "string",      "price": 0.1,      "cost_price": 0.1,      "original_price": 0.1,      "brand": "string",      "model": "string",      "commission": 0.1,      "product_image": "string",      "category": "string",      "url": "string",      "integration_id": "string",      "organization_id": "string",      "document_id": "string",      "integration_name": "string",      "inserted_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "limit": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}